Package net.shibboleth.idp.attribute.filter.policyrule.saml.impl

# Class IssuerRegistrationAuthorityPolicyRule

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractRegistrationAuthorityPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.IssuerRegistrationAuthorityPolicyRule

All Implemented Interfaces:
  `PolicyRequirementRule`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class IssuerRegistrationAuthorityPolicyRule extends AbstractRegistrationAuthorityPolicyRule
Rule based on RPI extension in attribute issuer's metadata.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`PolicyRequirementRule.Tristate`

## Field Summary

### Fields inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`MATCHES_ALL, MATCHES_NONE, REQUIREMENT_RULE_FAILS`

## Constructor Summary

Constructors
Constructor
Description
`IssuerRegistrationAuthorityPolicyRule()`

## Method Summary

Modifier and Type
Method
Description
`protected EntityDescriptor`
`getEntityMetadata(AttributeFilterContext filterContext)`
Gets the entity descriptor for the rule to check.

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractRegistrationAuthorityPolicyRule

`getRegistrars, isMatchIfMetadataSilent, matches, setMatchIfMetadataSilent, setRegistrars`

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule

`doInitialize, getLogPrefix`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### IssuerRegistrationAuthorityPolicyRule

public IssuerRegistrationAuthorityPolicyRule()

## Method Details

### getEntityMetadata

@Nullable protected EntityDescriptor getEntityMetadata(@Nonnull AttributeFilterContext filterContext)
Gets the entity descriptor for the rule to check.

Specified by:
  `getEntityMetadata` in class `AbstractRegistrationAuthorityPolicyRule`
Parameters:
  `filterContext` - current filter request context
Returns:
  entity descriptor for the entity to check or null if not found